package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 场所负责人对象 szxc_cs_response
 * 
 * @author hs
 * @date 2024-03-28
 */
public class SzxcCsResponse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 场所id */
    @Excel(name = "场所id")
    private Long csId;

    /** 场所名称 */
    @Excel(name = "场所名称")
    private String csName;

    /** 负责人类型 */
    @Excel(name = "负责人类型")
    private String fzrType;

    /** 负责人姓名 */
    @Excel(name = "负责人姓名")
    private String fzrName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardId;

    /** 性别（0男 1女 2未知） */
    @Excel(name = "性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    /** 是否党员(0是1否) */
    @Excel(name = "是否党员(0是1否)")
    private String dyOrNot;

    /** 现居住地 */
    @Excel(name = "现居住地")
    private String currentAddress;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 县 */
    @Excel(name = "县")
    private String county;

    /** 户籍地址 */
    @Excel(name = "户籍地址")
    private String hjAddress;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCsId(Long csId) 
    {
        this.csId = csId;
    }

    public Long getCsId() 
    {
        return csId;
    }
    public void setCsName(String csName) 
    {
        this.csName = csName;
    }

    public String getCsName() 
    {
        return csName;
    }
    public void setFzrType(String fzrType) 
    {
        this.fzrType = fzrType;
    }

    public String getFzrType() 
    {
        return fzrType;
    }
    public void setFzrName(String fzrName) 
    {
        this.fzrName = fzrName;
    }

    public String getFzrName() 
    {
        return fzrName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setCardId(String cardId) 
    {
        this.cardId = cardId;
    }

    public String getCardId() 
    {
        return cardId;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setDyOrNot(String dyOrNot) 
    {
        this.dyOrNot = dyOrNot;
    }

    public String getDyOrNot() 
    {
        return dyOrNot;
    }
    public void setCurrentAddress(String currentAddress) 
    {
        this.currentAddress = currentAddress;
    }

    public String getCurrentAddress() 
    {
        return currentAddress;
    }
    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setCounty(String county) 
    {
        this.county = county;
    }

    public String getCounty() 
    {
        return county;
    }
    public void setHjAddress(String hjAddress) 
    {
        this.hjAddress = hjAddress;
    }

    public String getHjAddress() 
    {
        return hjAddress;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("csId", getCsId())
            .append("csName", getCsName())
            .append("fzrType", getFzrType())
            .append("fzrName", getFzrName())
            .append("phone", getPhone())
            .append("cardId", getCardId())
            .append("sex", getSex())
            .append("dyOrNot", getDyOrNot())
            .append("currentAddress", getCurrentAddress())
            .append("province", getProvince())
            .append("city", getCity())
            .append("county", getCounty())
            .append("hjAddress", getHjAddress())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
